format = """
[░▒▓](#9d7cd8)\
$os\
[](bg:#394b70 fg:#9d7cd8)\
$directory\
[](fg:#394b70 bg:#ff9e64)\
$git_branch\
$git_status\
[](fg:#ff9e64 bg:#3d59a1)\
$cmake\
$rust\
$python\
[](fg:#3d59a1 bg:#414868)\
$cmd_duration\
[ ](fg:#414868)\
\n$character"""

right_format = """
$status\
$sudo\
"""

[character]
success_symbol = '[❯](fg:bold #c3e88d)'
error_symbol = '[❯](fg:bold #ff007c)'

[cmd_duration]
style = "fg:#7aa2f7 bg:#414868"
format = '[ took ]($style)[ $duration](fg:bold #ff007c bg:#414868)'

[directory]
style = "fg:#bb9af7 bg:#394b70"
format = "[ $path ]($style)"
truncation_length = 3
truncation_symbol = "…/"
home_symbol = " "

[directory.substitutions]
"Documents" = "󰈙 "
"Downloads" = " "
"Music" = " "
"Pictures" = " "
"Desktop" = "󰧨 "
"Programming" = "󰅩"
"dotfiles" = ""

[git_branch]
symbol = ""
style = "bg:#c3e88d"
format = '[[ $symbol $branch ](fg:#394b70 bg:#ff9e64)]($style)'

[git_status]
style = "bg:#c3e88d"
format = '[[($all_status$ahead_behind )](fg:#394b70 bg:#ff9e64)]($style)'

[rust]
symbol = ""
style = "bg:#212736"
format = '[[ $symbol ($version) ](fg:#ff9e64 bg:#3d59a1)]($style)'

[python]
style = "bg:#3d59a1 fg:#ff9e64"
format = '[ via ${symbol}${pyenv_prefix}(${version} )(\($virtualenv\) )]($style)'

[cmake]
style = "bg:#3d59a1 fg:#ff9e64"
format = '[ via $symbol($version) ]($style)'

[os]
disabled = false
style = 'bg:#9d7cd8 fg:#c3e88d'
format = '[ $symbol ]($style)'

[os.symbols]
openSUSE = ""

[status]
disabled = false
success_symbol = '[](bold #c3e88d)'
map_symbol = true
format = '[$symbol]($style)'

[sudo]
disabled = false
format = '[$symbol]($style)'
